## osmo-s1gw 0.3.0.217.35dd.202509132026

=== debian/changelog ===
osmo-s1gw (0.3.0.217.35dd.202509132026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 13 Sep 2025 20:26:35 +0000

=== debian/control ===
Source: osmo-s1gw
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Section: net
Priority: optional
Build-Depends: erlang-nox,
               libnftables-dev,
               rebar3,
               pkg-config,
               debhelper (>= 10)
Standards-Version: 4.5.0
Vcs-Git: https://gitea.osmocom.org/erlang/osmo-s1gw
Vcs-Browser: https://gitea.osmocom.org/erlang/osmo-s1gw
Homepage: https://osmocom.org/projects/osmo-s1gw

Package: osmo-s1gw
Architecture: any
Depends: osmocom-nightly (= 202509132026), ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: foreign
Description: Osmocom S1 gateway
 This can be used on the S1 interface between eNB and MME/CN, and
 acts as separation between the eNB-facing IP network and the
 CN-facing IP network, which may be separate without routing in between.

## osmo-s1gw 0.3.0.217.35dd.202509142026

=== debian/changelog ===
osmo-s1gw (0.3.0.217.35dd.202509142026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 14 Sep 2025 20:26:33 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202509132026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202509142026), ${shlibs:Depends},
          ${misc:Depends}
 Multi-Arch: foreign
 Description: Osmocom S1 gateway

## osmo-s1gw 0.3.0.226.095e.202509152026

=== debian/changelog ===
osmo-s1gw (0.3.0.226.095e.202509152026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 15 Sep 2025 20:26:31 +0000

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,9 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202509142026), ${shlibs:Depends},
-         ${misc:Depends}
+Depends: osmocom-nightly (= 202509152026), ${shlibs:Depends},
+         ${misc:Depends},
+         ${libsctp:Version}
 Multi-Arch: foreign
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and

## osmo-s1gw 0.3.0.226.095e.202509162026

=== debian/changelog ===
osmo-s1gw (0.3.0.226.095e.202509162026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 16 Sep 2025 20:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202509152026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202509162026), ${shlibs:Depends},
          ${misc:Depends},
          ${libsctp:Version}
 Multi-Arch: foreign

## osmo-s1gw 0.3.0.226.095e.202509172026

=== debian/changelog ===
osmo-s1gw (0.3.0.226.095e.202509172026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 17 Sep 2025 20:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202509162026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202509172026), ${shlibs:Depends},
          ${misc:Depends},
          ${libsctp:Version}
 Multi-Arch: foreign

## osmo-s1gw 0.3.0.226.095e.202509182026

=== Makefile ===
# where rebar3 stores build output
REBAR_BASE_DIR ?= _build
# config file used by 'run' and 'shell'
CONFIG ?= config/sys.config
# arguments passed to eunit, used by 'check'
EUNIT_ARGS ?=
# directory paths for 'install'
BINDIR ?= /usr/bin
LIBDIR ?= /usr/lib
CONFDIR ?= /etc/osmocom
SYSTEMDUNITDIR ?= /lib/systemd/system

all: build

GEN_FILES = include/S1AP-*.hrl src/S1AP-*.erl

src/S1AP-%.erl include/S1AP-%.hrl: asn1/S1AP-%.asn
	rebar3 asn compile

build: $(GEN_FILES)
	rebar3 compile

escript: $(GEN_FILES)
	rebar3 escriptize

run-escript: escript
	ERL_FLAGS='-config $(CONFIG)' $(REBAR_BASE_DIR)/default/bin/osmo-s1gw

run: shell

shell: build
	rebar3 shell --config $(CONFIG)

check: $(GEN_FILES)
	rebar3 eunit $(EUNIT_ARGS)

analyze: $(GEN_FILES)
	rebar3 dialyzer

release: $(GEN_FILES)
	rebar3 release

run-release: release
	contrib/osmo-s1gw.sh -r $(REBAR_BASE_DIR)/default/rel/osmo-s1gw -c $(CONFIG)

install: release
	install -d $(DESTDIR)$(LIBDIR)
	cp -r $(REBAR_BASE_DIR)/default/rel/osmo-s1gw $(DESTDIR)$(LIBDIR)/
	install -Dm0755 contrib/osmo-s1gw.sh \
		$(DESTDIR)$(BINDIR)/osmo-s1gw
	install -Dm0644 config/sys.config \
		$(DESTDIR)$(CONFDIR)/osmo-s1gw.config
	install -Dm0644 contrib/systemd/osmo-s1gw.service \
		$(DESTDIR)$(SYSTEMDUNITDIR)/osmo-s1gw.service

clean:
# Avoid running rebar3 clean if $(REBAR_BASE_DIR) doesn't exist, since it would try
# to fetch deps from the Internet and that may not be avaialble when in
# OBS build.
ifneq ("$(wildcard $(REBAR_BASE_DIR)/.*)", "")
	rebar3 asn clean
	rebar3 clean
	rm -rf $(REBAR_BASE_DIR)
else
	rm -f $(GEN_FILES)
endif

=== hut/examples/basic/Makefile ===
PROJECT 			= hut_example
PROJECT_DESCRIPTION = example of using various hut configurations
PROJECT_VERSION 	= 0.1.0

DEPS = lager

all:: run_example_default

include ../../erlang.mk

hut_dir 			= $(shell cd ../../ ; pwd)
exec_run 			= hut_example
exec 				= erl -pz $(hut_dir)/ebin -pz ebin $(exec_opts) -run $(exec_run) -run init stop -noshell
erlc_includes		= -pz $(hut_dir)

.PHONY: run_example_default
run_example_default: export ERLC_OPTS = $(erlc_includes)
run_example_default: clean app
	$(exec)

.PHONY: run_example_sasl
run_example_sasl: export ERLC_OPTS = -DHUT_SASL $(erlc_includes)
run_example_sasl: clean app
	$(exec)

.PHONY: run_example_default_no_gate
run_example_default_no_gate: export ERLC_OPTS = $(erlc_includes)
run_example_default_no_gate: exec_opts = -hut use_log_level_gate false
run_example_default_no_gate: clean app
	$(exec)

.PHONY: run_example_default_debug_enabled
run_example_default_debug_enabled: export ERLC_OPTS = $(erlc_includes)
run_example_default_debug_enabled: exec_opts = -hut level debug
run_example_default_debug_enabled: clean app
	$(exec)

.PHONY: run_example_default_warning_enabled
run_example_default_warning_enabled: export ERLC_OPTS = $(erlc_includes)
run_example_default_warning_enabled: exec_opts = -hut level warning
run_example_default_warning_enabled: clean app
	$(exec)

.PHONY: run_example_ioformat
run_example_ioformat: export ERLC_OPTS = -DHUT_IOFORMAT $(erlc_includes)
run_example_ioformat: clean app
	$(exec)

.PHONY: run_example_custom
run_example_custom: export ERLC_OPTS = -DHUT_CUSTOM -DHUT_CUSTOM_CB=$(PROJECT) $(erlc_includes)
run_example_custom: clean app
	$(exec)

.PHONY: run_example_noop
run_example_noop: export ERLC_OPTS = -DHUT_NOOP $(erlc_includes)
run_example_noop: clean app
	$(exec)

.PHONY: run_example_lager
run_example_lager: export ERLC_OPTS = -DHUT_LAGER +'{parse_transform, lager_transform}' $(erlc_includes)
run_example_lager: exec_opts = -run lager start
run_example_lager: clean app
	$(exec)

.PHONY: run_example_lager_custom_sink
run_example_lager_custom_sink: export ERLC_OPTS = -DHUT_LAGER -DHUT_LAGER_SINK=mysink +'{parse_transform, lager_transform}' +"{lager_extra_sinks, [mysink]}" $(erlc_includes)
run_example_lager_custom_sink: exec_opts = -config app -run lager start
run_example_lager_custom_sink: clean app
	$(exec)

.PHONY: compile_example_elixir
compile_example_elixir: export ERLC_OPTS = $(erlc_includes)
compile_example_elixir: clean app

=== hut/examples/rebar3/Makefile ===
REBAR ?= ./rebar3
REBAR_CONFIG ?= ./rebar.config

all:: run_example_default

hut_dir 			= $(shell cd ../../ ; pwd)
exec_run 			= hut_example_rebar3
exec 				= erl -pz ./_build/default/lib/*/ebin $(exec_opts) -run $(exec_run) -run init stop -noshell

$(REBAR):
	curl -L https://s3.amazonaws.com/rebar3/rebar3 > $@
	chmod +x $@

.PHONY: run_example_default
run_example_default: $(REBAR)
	cp rebar.config.default $(REBAR_CONFIG)
	@$(MAKE) reset
	$(exec)
	@rm $(REBAR_CONFIG)

.PHONY: run_example_sasl
run_example_sasl: $(REBAR)
	cp rebar.config.sasl $(REBAR_CONFIG)
	@$(MAKE) reset
	$(exec)
	@rm $(REBAR_CONFIG)

.PHONY: run_example_noop
run_example_noop: $(REBAR)
	cp rebar.config.noop $(REBAR_CONFIG)
	@$(MAKE) reset
	$(exec)
	@rm $(REBAR_CONFIG)

.PHONY: run_example_lager
run_example_lager: exec_opts = -run lager start
run_example_lager: $(REBAR)
	cp rebar.config.lager $(REBAR_CONFIG)
	@$(MAKE) reset
	$(exec)
	@rm $(REBAR_CONFIG)

.PHONY: reset
reset: $(REBAR)
	rm -rf ./_build ./rebar.lock
	$(REBAR) deps
	$(REBAR) clean --all
	$(REBAR) compile

=== debian/changelog ===
osmo-s1gw (0.3.0.226.095e.202509182026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 18 Sep 2025 20:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202509172026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202509182026), ${shlibs:Depends},
          ${misc:Depends},
          ${libsctp:Version}
 Multi-Arch: foreign

## osmo-s1gw 0.3.0.226.095e.202509192026

=== debian/changelog ===
osmo-s1gw (0.3.0.226.095e.202509192026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 19 Sep 2025 20:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202509182026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202509192026), ${shlibs:Depends},
          ${misc:Depends},
          ${libsctp:Version}
 Multi-Arch: foreign

## osmo-s1gw 0.3.0.226.095e.202509202026

=== debian/changelog ===
osmo-s1gw (0.3.0.226.095e.202509202026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 20 Sep 2025 20:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202509192026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202509202026), ${shlibs:Depends},
          ${misc:Depends},
          ${libsctp:Version}
 Multi-Arch: foreign

## osmo-s1gw 0.3.0.226.095e.202509212026

=== debian/changelog ===
osmo-s1gw (0.3.0.226.095e.202509212026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 21 Sep 2025 20:26:33 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202509202026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202509212026), ${shlibs:Depends},
          ${misc:Depends},
          ${libsctp:Version}
 Multi-Arch: foreign

## osmo-s1gw 0.3.0.226.095e.202509222026

=== debian/changelog ===
osmo-s1gw (0.3.0.226.095e.202509222026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 22 Sep 2025 20:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202509212026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202509222026), ${shlibs:Depends},
          ${misc:Depends},
          ${libsctp:Version}
 Multi-Arch: foreign

## osmo-s1gw 0.3.0.226.095e.202509232026

=== debian/changelog ===
osmo-s1gw (0.3.0.226.095e.202509232026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 23 Sep 2025 20:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202509222026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202509232026), ${shlibs:Depends},
          ${misc:Depends},
          ${libsctp:Version}
 Multi-Arch: foreign

## osmo-s1gw 0.3.0.229.e940.202509242026

=== debian/changelog ===
osmo-s1gw (0.3.0.229.e940.202509242026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 24 Sep 2025 20:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,25 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202509232026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202509242026), ${shlibs:Depends},
          ${misc:Depends},
          ${libsctp:Version}
+Suggests: osmo-s1gw-cli
 Multi-Arch: foreign
 Description: Osmocom S1 gateway
  This can be used on the S1 interface between eNB and MME/CN, and
  acts as separation between the eNB-facing IP network and the
  CN-facing IP network, which may be separate without routing in between.
+
+Package: osmo-s1gw-cli
+Architecture: any
+Section: utils
+Depends: osmocom-nightly (= 202509242026), ${misc:Depends},
+         python3,
+         python3-cmd2,
+         python3-tabulate
+Suggests: osmo-s1gw
+Description: Interactive CLI for the Osmocom S1 gateway
+ This is an interactive shell for the Osmocom S1 gateway, providing
+ an alternative to the traditional VTY interface used in many Osmocom
+ projects.  It communicates with OsmoS1GW via the REST interface.

## osmo-s1gw 0.3.0.229.e940.202509252026

=== elli/doc/Makefile ===
SOURCE_DOCS := $(wildcard *.md)

EXPORTED_DOCS=\
 $(SOURCE_DOCS:.md=.html)

RM=/bin/rm

PANDOC=pandoc

PANDOC_HTML_OPTIONS=--standalone --highlight-style=tango --template tpl.html -f gfm --to html5

%.html : %.md
	$(PANDOC) $(PANDOC_HTML_OPTIONS) -o $@ $<


.PHONY: all clean

all : $(EXPORTED_DOCS)

clean:
	- $(RM) -f $(EXPORTED_DOCS)

=== debian/changelog ===
osmo-s1gw (0.3.0.229.e940.202509252026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 25 Sep 2025 20:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202509242026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202509252026), ${shlibs:Depends},
          ${misc:Depends},
          ${libsctp:Version}
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202509242026), ${misc:Depends},
+Depends: osmocom-nightly (= 202509252026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.229.e940.202509262026

=== debian/changelog ===
osmo-s1gw (0.3.0.229.e940.202509262026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 26 Sep 2025 20:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202509252026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202509262026), ${shlibs:Depends},
          ${misc:Depends},
          ${libsctp:Version}
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202509252026), ${misc:Depends},
+Depends: osmocom-nightly (= 202509262026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.234.f6b3.202509272026

=== debian/changelog ===
osmo-s1gw (0.3.0.234.f6b3.202509272026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 27 Sep 2025 20:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202509262026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202509272026), ${shlibs:Depends},
          ${misc:Depends},
          ${libsctp:Version}
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202509262026), ${misc:Depends},
+Depends: osmocom-nightly (= 202509272026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.234.f6b3.202509282026

=== debian/changelog ===
osmo-s1gw (0.3.0.234.f6b3.202509282026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 28 Sep 2025 20:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202509272026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202509282026), ${shlibs:Depends},
          ${misc:Depends},
          ${libsctp:Version}
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202509272026), ${misc:Depends},
+Depends: osmocom-nightly (= 202509282026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.234.f6b3.202509292026

=== debian/changelog ===
osmo-s1gw (0.3.0.234.f6b3.202509292026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 29 Sep 2025 20:26:31 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202509282026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202509292026), ${shlibs:Depends},
          ${misc:Depends},
          ${libsctp:Version}
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202509282026), ${misc:Depends},
+Depends: osmocom-nightly (= 202509292026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.234.f6b3.202509302026

=== Makefile ===
--- 
+++ 
@@ -16,6 +16,10 @@
 
 src/S1AP-%.erl include/S1AP-%.hrl: asn1/S1AP-%.asn
 	rebar3 asn compile
+
+.PHONY: openapi
+priv/openapi.json: contrib/openapi.yaml
+	contrib/yaml2json.py $^ > $@
 
 build: $(GEN_FILES)
 	rebar3 compile
@@ -48,6 +52,8 @@
 	cp -r $(REBAR_BASE_DIR)/default/rel/osmo-s1gw $(DESTDIR)$(LIBDIR)/
 	install -Dm0755 contrib/osmo-s1gw.sh \
 		$(DESTDIR)$(BINDIR)/osmo-s1gw
+	install -Dm0755 contrib/osmo-s1gw-cli.py \
+		$(DESTDIR)$(BINDIR)/osmo-s1gw-cli
 	install -Dm0644 config/sys.config \
 		$(DESTDIR)$(CONFDIR)/osmo-s1gw.config
 	install -Dm0644 contrib/systemd/osmo-s1gw.service \

=== debian/changelog ===
osmo-s1gw (0.3.0.234.f6b3.202509302026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 30 Sep 2025 20:26:31 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202509292026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202509302026), ${shlibs:Depends},
          ${misc:Depends},
          ${libsctp:Version}
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202509292026), ${misc:Depends},
+Depends: osmocom-nightly (= 202509302026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.234.f6b3.202510012026

=== debian/changelog ===
osmo-s1gw (0.3.0.234.f6b3.202510012026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 01 Oct 2025 20:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202509302026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202510012026), ${shlibs:Depends},
          ${misc:Depends},
          ${libsctp:Version}
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202509302026), ${misc:Depends},
+Depends: osmocom-nightly (= 202510012026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.234.f6b3.202510022026

=== debian/changelog ===
osmo-s1gw (0.3.0.234.f6b3.202510022026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 02 Oct 2025 20:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202510012026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202510022026), ${shlibs:Depends},
          ${misc:Depends},
          ${libsctp:Version}
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202510012026), ${misc:Depends},
+Depends: osmocom-nightly (= 202510022026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.234.f6b3.202510032026

=== debian/changelog ===
osmo-s1gw (0.3.0.234.f6b3.202510032026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 03 Oct 2025 20:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202510022026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202510032026), ${shlibs:Depends},
          ${misc:Depends},
          ${libsctp:Version}
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202510022026), ${misc:Depends},
+Depends: osmocom-nightly (= 202510032026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.234.f6b3.202510042026

=== debian/changelog ===
osmo-s1gw (0.3.0.234.f6b3.202510042026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 04 Oct 2025 20:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202510032026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202510042026), ${shlibs:Depends},
          ${misc:Depends},
          ${libsctp:Version}
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202510032026), ${misc:Depends},
+Depends: osmocom-nightly (= 202510042026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.234.f6b3.202510052026

=== debian/changelog ===
osmo-s1gw (0.3.0.234.f6b3.202510052026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 05 Oct 2025 20:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202510042026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202510052026), ${shlibs:Depends},
          ${misc:Depends},
          ${libsctp:Version}
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202510042026), ${misc:Depends},
+Depends: osmocom-nightly (= 202510052026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.236.d58e.202510062026

=== debian/changelog ===
osmo-s1gw (0.3.0.236.d58e.202510062026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 06 Oct 2025 20:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202510052026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202510062026), ${shlibs:Depends},
          ${misc:Depends},
-         ${libsctp:Version}
+         libsctp1
 Suggests: osmo-s1gw-cli
 Multi-Arch: foreign
 Description: Osmocom S1 gateway
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202510052026), ${misc:Depends},
+Depends: osmocom-nightly (= 202510062026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.236.d58e.202510072026

=== debian/changelog ===
osmo-s1gw (0.3.0.236.d58e.202510072026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 07 Oct 2025 20:26:35 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202510062026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202510072026), ${shlibs:Depends},
          ${misc:Depends},
          libsctp1
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202510062026), ${misc:Depends},
+Depends: osmocom-nightly (= 202510072026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.239.3a7d.202510082026

=== debian/changelog ===
osmo-s1gw (0.3.0.239.3a7d.202510082026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 08 Oct 2025 20:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202510072026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202510082026), ${shlibs:Depends},
          ${misc:Depends},
          libsctp1
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202510072026), ${misc:Depends},
+Depends: osmocom-nightly (= 202510082026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.239.3a7d.202510092026

=== debian/changelog ===
osmo-s1gw (0.3.0.239.3a7d.202510092026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 09 Oct 2025 20:26:31 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202510082026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202510092026), ${shlibs:Depends},
          ${misc:Depends},
          libsctp1
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202510082026), ${misc:Depends},
+Depends: osmocom-nightly (= 202510092026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.239.3a7d.202510102026

=== debian/changelog ===
osmo-s1gw (0.3.0.239.3a7d.202510102026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 10 Oct 2025 20:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202510092026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202510102026), ${shlibs:Depends},
          ${misc:Depends},
          libsctp1
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202510092026), ${misc:Depends},
+Depends: osmocom-nightly (= 202510102026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.239.3a7d.202510112026

=== debian/changelog ===
osmo-s1gw (0.3.0.239.3a7d.202510112026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 11 Oct 2025 20:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202510102026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202510112026), ${shlibs:Depends},
          ${misc:Depends},
          libsctp1
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202510102026), ${misc:Depends},
+Depends: osmocom-nightly (= 202510112026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.239.3a7d.202510122026

=== debian/changelog ===
osmo-s1gw (0.3.0.239.3a7d.202510122026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 12 Oct 2025 20:26:31 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202510112026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202510122026), ${shlibs:Depends},
          ${misc:Depends},
          libsctp1
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202510112026), ${misc:Depends},
+Depends: osmocom-nightly (= 202510122026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.239.3a7d.202510132026

=== debian/changelog ===
osmo-s1gw (0.3.0.239.3a7d.202510132026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 13 Oct 2025 20:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202510122026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202510132026), ${shlibs:Depends},
          ${misc:Depends},
          libsctp1
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202510122026), ${misc:Depends},
+Depends: osmocom-nightly (= 202510132026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.239.3a7d.202510142026

=== debian/changelog ===
osmo-s1gw (0.3.0.239.3a7d.202510142026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 14 Oct 2025 20:26:31 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202510132026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202510142026), ${shlibs:Depends},
          ${misc:Depends},
          libsctp1
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202510132026), ${misc:Depends},
+Depends: osmocom-nightly (= 202510142026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.239.3a7d.202510162026

=== debian/changelog ===
osmo-s1gw (0.3.0.239.3a7d.202510162026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 16 Oct 2025 20:26:31 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202510142026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202510162026), ${shlibs:Depends},
          ${misc:Depends},
          libsctp1
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202510142026), ${misc:Depends},
+Depends: osmocom-nightly (= 202510162026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.239.3a7d.202510172026

=== enftables/c_src/Makefile ===
# Based on c_src.mk from erlang.mk by Loic Hoguin <essen@ninenines.eu>

CURDIR := $(shell pwd)
BASEDIR := $(abspath $(CURDIR)/..)

PROJECT ?= $(notdir $(BASEDIR))
PROJECT := $(strip $(PROJECT))

ERTS_INCLUDE_DIR ?= $(shell erl -noshell -eval "io:format(\"~ts/erts-~ts/include/\", [code:root_dir(), erlang:system_info(version)])." -s init stop)
ERL_INTERFACE_INCLUDE_DIR ?= $(shell erl -noshell -eval "io:format(\"~ts\", [code:lib_dir(erl_interface, include)])." -s init stop)
ERL_INTERFACE_LIB_DIR ?= $(shell erl -noshell -eval "io:format(\"~ts\", [code:lib_dir(erl_interface, lib)])." -s init stop)

C_SRC_DIR = $(CURDIR)
C_SRC_OUTPUT ?= $(CURDIR)/../priv/$(PROJECT).so

# System type and C compiler/flags.

UNAME_SYS := $(shell uname -s)
ifeq ($(UNAME_SYS), Darwin)
	CC ?= cc
	CFLAGS ?= -O3 -std=c99 -finline-functions -Wall -Wmissing-prototypes
	CXXFLAGS ?= -O3 -finline-functions -Wall
	LDFLAGS ?= -flat_namespace -undefined suppress
else ifeq ($(UNAME_SYS), FreeBSD)
	CC ?= cc
	CFLAGS ?= -O3 -std=c99 -finline-functions -Wall -Wmissing-prototypes
	CXXFLAGS ?= -O3 -finline-functions -Wall
else ifeq ($(UNAME_SYS), Linux)
	CC ?= gcc
	CFLAGS ?= -O3 -std=c99 -finline-functions -Wall -Wmissing-prototypes
	CXXFLAGS ?= -O3 -finline-functions -Wall
endif

CFLAGS += -fPIC -I $(ERTS_INCLUDE_DIR) -I $(ERL_INTERFACE_INCLUDE_DIR)
CXXFLAGS += -fPIC -I $(ERTS_INCLUDE_DIR) -I $(ERL_INTERFACE_INCLUDE_DIR)

LDLIBS += -L $(ERL_INTERFACE_LIB_DIR) -lei
LDFLAGS += -shared

CFLAGS += $(shell pkg-config --cflags libnftables)
LDLIBS += $(shell pkg-config --libs libnftables)

# Verbosity.

c_verbose_0 = @echo " C     " $(?F);
c_verbose = $(c_verbose_$(V))

cpp_verbose_0 = @echo " CPP   " $(?F);
cpp_verbose = $(cpp_verbose_$(V))

link_verbose_0 = @echo " LD    " $(@F);
link_verbose = $(link_verbose_$(V))

SOURCES := $(shell find $(C_SRC_DIR) -type f \( -name "*.c" -o -name "*.C" -o -name "*.cc" -o -name "*.cpp" \))
OBJECTS = $(addsuffix .o, $(basename $(SOURCES)))

COMPILE_C = $(c_verbose) $(CC) $(CFLAGS) $(CPPFLAGS) -c
COMPILE_CPP = $(cpp_verbose) $(CXX) $(CXXFLAGS) $(CPPFLAGS) -c

$(C_SRC_OUTPUT): $(OBJECTS)
	@mkdir -p $(BASEDIR)/priv/
	$(link_verbose) $(CC) $(OBJECTS) $(LDFLAGS) $(LDLIBS) -o $(C_SRC_OUTPUT)

%.o: %.c
	$(COMPILE_C) $(OUTPUT_OPTION) $<

%.o: %.cc
	$(COMPILE_CPP) $(OUTPUT_OPTION) $<

%.o: %.C
	$(COMPILE_CPP) $(OUTPUT_OPTION) $<

%.o: %.cpp
	$(COMPILE_CPP) $(OUTPUT_OPTION) $<

clean:
	@rm -f $(C_SRC_OUTPUT) $(OBJECTS)

=== debian/changelog ===
osmo-s1gw (0.3.0.239.3a7d.202510172026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 17 Oct 2025 20:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202510162026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202510172026), ${shlibs:Depends},
          ${misc:Depends},
          libsctp1
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202510162026), ${misc:Depends},
+Depends: osmocom-nightly (= 202510172026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.239.3a7d.202510182026

=== debian/changelog ===
osmo-s1gw (0.3.0.239.3a7d.202510182026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 18 Oct 2025 20:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202510172026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202510182026), ${shlibs:Depends},
          ${misc:Depends},
          libsctp1
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202510172026), ${misc:Depends},
+Depends: osmocom-nightly (= 202510182026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.239.3a7d.202510192026

=== debian/changelog ===
osmo-s1gw (0.3.0.239.3a7d.202510192026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 19 Oct 2025 20:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202510182026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202510192026), ${shlibs:Depends},
          ${misc:Depends},
          libsctp1
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202510182026), ${misc:Depends},
+Depends: osmocom-nightly (= 202510192026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.239.3a7d.202510202026

=== debian/changelog ===
osmo-s1gw (0.3.0.239.3a7d.202510202026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 20 Oct 2025 20:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202510192026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202510202026), ${shlibs:Depends},
          ${misc:Depends},
          libsctp1
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202510192026), ${misc:Depends},
+Depends: osmocom-nightly (= 202510202026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.239.3a7d.202510212026

=== debian/changelog ===
osmo-s1gw (0.3.0.239.3a7d.202510212026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 21 Oct 2025 20:26:31 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202510202026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202510212026), ${shlibs:Depends},
          ${misc:Depends},
          libsctp1
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202510202026), ${misc:Depends},
+Depends: osmocom-nightly (= 202510212026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.239.3a7d.202510222026

=== debian/changelog ===
osmo-s1gw (0.3.0.239.3a7d.202510222026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 22 Oct 2025 20:26:31 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202510212026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202510222026), ${shlibs:Depends},
          ${misc:Depends},
          libsctp1
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202510212026), ${misc:Depends},
+Depends: osmocom-nightly (= 202510222026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.239.3a7d.202510232026

=== debian/changelog ===
osmo-s1gw (0.3.0.239.3a7d.202510232026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 23 Oct 2025 20:26:31 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202510222026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202510232026), ${shlibs:Depends},
          ${misc:Depends},
          libsctp1
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202510222026), ${misc:Depends},
+Depends: osmocom-nightly (= 202510232026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.239.3a7d.202510242026

=== debian/changelog ===
osmo-s1gw (0.3.0.239.3a7d.202510242026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 24 Oct 2025 20:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202510232026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202510242026), ${shlibs:Depends},
          ${misc:Depends},
          libsctp1
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202510232026), ${misc:Depends},
+Depends: osmocom-nightly (= 202510242026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.239.3a7d.202510252026

=== debian/changelog ===
osmo-s1gw (0.3.0.239.3a7d.202510252026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 25 Oct 2025 20:26:31 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202510242026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202510252026), ${shlibs:Depends},
          ${misc:Depends},
          libsctp1
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202510242026), ${misc:Depends},
+Depends: osmocom-nightly (= 202510252026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.239.3a7d.202510262026

=== debian/changelog ===
osmo-s1gw (0.3.0.239.3a7d.202510262026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 26 Oct 2025 20:26:31 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202510252026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202510262026), ${shlibs:Depends},
          ${misc:Depends},
          libsctp1
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202510252026), ${misc:Depends},
+Depends: osmocom-nightly (= 202510262026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.239.3a7d.202510272026

=== debian/changelog ===
osmo-s1gw (0.3.0.239.3a7d.202510272026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 27 Oct 2025 20:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202510262026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202510272026), ${shlibs:Depends},
          ${misc:Depends},
          libsctp1
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202510262026), ${misc:Depends},
+Depends: osmocom-nightly (= 202510272026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.243.d2da.202510282026

=== debian/changelog ===
osmo-s1gw (0.3.0.243.d2da.202510282026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 28 Oct 2025 20:26:30 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202510272026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202510282026), ${shlibs:Depends},
          ${misc:Depends},
          libsctp1
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202510272026), ${misc:Depends},
+Depends: osmocom-nightly (= 202510282026), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.243.d2da.202510291800

=== debian/changelog ===
osmo-s1gw (0.3.0.243.d2da.202510291800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 29 Oct 2025 18:00:32 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202510282026), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202510291800), ${shlibs:Depends},
          ${misc:Depends},
          libsctp1
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202510282026), ${misc:Depends},
+Depends: osmocom-nightly (= 202510291800), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.243.d2da.202510301800

=== debian/changelog ===
osmo-s1gw (0.3.0.243.d2da.202510301800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 30 Oct 2025 18:00:31 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202510291800), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202510301800), ${shlibs:Depends},
          ${misc:Depends},
          libsctp1
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202510291800), ${misc:Depends},
+Depends: osmocom-nightly (= 202510301800), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate

## osmo-s1gw 0.3.0.243.d2da.202510311800

=== debian/changelog ===
osmo-s1gw (0.3.0.243.d2da.202510311800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 31 Oct 2025 18:00:31 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: osmo-s1gw
 Architecture: any
-Depends: osmocom-nightly (= 202510301800), ${shlibs:Depends},
+Depends: osmocom-nightly (= 202510311800), ${shlibs:Depends},
          ${misc:Depends},
          libsctp1
 Suggests: osmo-s1gw-cli
@@ -27,7 +27,7 @@
 Package: osmo-s1gw-cli
 Architecture: any
 Section: utils
-Depends: osmocom-nightly (= 202510301800), ${misc:Depends},
+Depends: osmocom-nightly (= 202510311800), ${misc:Depends},
          python3,
          python3-cmd2,
          python3-tabulate
